%global momorel 1
%global kdever 4.2.0
%global kdegraphicsrel 1m
%global qtver 4.4.3
%global qtrel 1m
%global cmakever 2.6.2
%global cmakerel 1m
%global ftpdirver 4.2.0
%global sourcedir stable/%{ftpdirver}/src

Name:           kdeplasma-addons
Version:        %{kdever}
Release:        %{momorel}m%{?dist}
Summary:        Additional plasmoids for KDE
Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource:       0
Patch0:         %{name}-4.1.70-bluemarble-icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:	kdegraphics-devel >= %{version}-%{kdegraphicsrel}
BuildRequires:  openldap-devel
BuildRequires:  qimageblitz-devel

# most of former kdeaddons for KDE3 is now here
Obsoletes: kdeaddons
Provides:  kdeaddons
# extragear-plasma -> kdeplasmoids rename
Obsoletes: extragear-plasma < %{version}-%{release}
Provides:  extragear-plasma = %{version}-%{release}
# kdeplasmoids -> kdeplasma-addons rename
Obsoletes: kdeplasmoids < %{version}-%{release}
Provides:  kdeplasmoids = %{version}-%{release}

Requires(post): coreutils /sbin/ldconfig
Requires(postun): coreutils /sbin/ldconfig

%description
Additional plasmoids for KDE.

%prep
%setup -q

%patch0 -p1 -b .add-icon

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
# omit -devel type stuff, for now
rm -f %{buildroot}%{_kde4_libdir}/libplasma*.so
rm -f %{buildroot}%{_kde4_libdir}/liblancelot*.so
rm -rf %{buildroot}%{_kde4_includedir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_kde4_bindir}/lancelot
%{_kde4_appsdir}/desktoptheme/Aya/*
%{_kde4_appsdir}/desktoptheme/Elegance/*
%{_kde4_appsdir}/desktoptheme/Silicon/*
%{_kde4_appsdir}/desktoptheme/default/lancelot
%{_kde4_appsdir}/desktoptheme/default/widgets/*
%{_kde4_appsdir}/desktoptheme/default/rssnow
%{_kde4_appsdir}/desktoptheme/default/stylesheets
%{_kde4_appsdir}/desktoptheme/default/weatherstation
%{_kde4_appsdir}/desktoptheme/heron/*
%{_kde4_appsdir}/desktoptheme/slim-glow/*
%{_kde4_appsdir}/plasma/services/*
%{_kde4_appsdir}/plasma-bluemarble
%{_kde4_appsdir}/bball
%{_kde4_appsdir}/rssnow
%{_kde4_datadir}/config/comic.knsrc
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/mime/packages/lancelotpart-mime.xml
%{_datadir}/dbus-1/services/org.kde.lancelot.service
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/liblancelot.so.*
%{_kde4_libdir}/libplasmacomicprovidercore.so.*
%{_kde4_libdir}/libplasmaconverter.so.*
%{_kde4_iconsdir}/*/*/*/*

%changelog
* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE4.2.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE4.2 RC

* Sun Jan 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-2m)
- adjust %%files to avoid conflicting

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Wed Dec 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.85-2m)
- build with new kdegraphics
- remove override-pkgconfig.patch

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Mon Dec 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.82-2m)
- rebuild without libkexiv2-1.1.8 (build with kdegraphics-4.1.82)

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-1m)
- update to 4.1.72

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.71-2m)
- adjust %%files to avoid conflicting

* Fri Oct 24 2008 NARITA Koichi <pulsar@momonga-linix.org>
- (4.1.71-1m)
- update to 4.1.71

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.64-1m)
- update to 4.1.64

* Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.63-1m)
- update to 4.1.63

* Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.62-1m)
- update to 4.1.62

* Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.61-1m)
- update to 4.1.61

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-3m)
- rename from kdeplasmoids to kdeplasma-addons

* Fri Jul 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.98-2m)
- add icon to plasma-applet-bluemarble.desktop (use kdeedu's marble.png)

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Sun Jun 29 2008 NARITA Koichi <puksar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- extragear-plasma was replaced this package

* Fri Jun 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.83-2
- add ldconfig to scriptlets

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- kdeplasmoids-4.0.82

* Tue May 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-2
- add missing BR openldap-devel
- update file list, add icon scriptlets

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta 1

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-0.1.20080506svn804581
- update to revision 804581 from KDE SVN (to match KDE 4.0.72)
- add COPYING and COPYING.LIB as %%doc
- update file list

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-5
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-4
- rebuild for NDEBUG and _kde4_libexecdir

* Tue Mar 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-3
- disable broken bluemarble applet (crashes Plasma when no OpenGL, #435656)

* Tue Mar 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-2
- rebuild against KDE 4.0.2 (mainly to make sure it still builds)

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Sebastian Vahl <fedora@deadbabylon.de> 4.0.0-1
- kde-4.0.0

* Tue Dec 11 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.97.0-3
- add versioned obsolete kdeaddons

* Tue Dec 11 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.97.0-2
- package language files properly (by RexDieter)
- Obsolete: kdeaddons

* Tue Dec 11 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.97.0-1
- kde 3.97.0
- removed some BRs which are in kdelibs4-devel now
- BR: gettext

* Sun Dec 02 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-2
- update %%summary and %%description
- cleanup spec
- removed unneeded Requires

* Sun Dec 02 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-3
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- BR: libxkbfile-devel
- BR: libXpm-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXScrnSaver-devel
- BR: libXtst-devel
- BR: kdepimlibs-devel
- BR: qimageblitz-devel
- explicit require kdelibs, kdepimlibs and kdeworkspace >= version
- add require kde4-macro scriplet

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- Initial version for Fedora
